{*******************************************************}
{File:      NCOciBreakDlg.pas                           }
{Revision:  0.01.03 / 14.02.2000                        }
{Comment:   NC OCI8 VCL: Oracle8 break query dialog     }
{Copyright: (c) 1999-2000, Dmitry Arefiev               }
{Author:    Dmitry Arefiev, dmitrya@inthink.com         }
{*******************************************************}
{$I NCOciDef.inc}

unit NCOciBreakDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, NCOciDB,
  StdCtrls, Buttons;

type
  TNCOciBreakFrm = class(TForm)
    BitBtn1: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
    FDatabase: TOCIDatabase;
  public
    { Public declarations }
    class procedure Execute(ADatabase: TOCIDatabase);
    class procedure Cancel;
  end;

var
  NCOciBreakFrm: TNCOciBreakFrm;

implementation

{$R *.DFM}

class procedure TNCOciBreakFrm.Execute(ADatabase: TOCIDatabase);
begin
    if NCOciBreakFrm = nil then
        NCOciBreakFrm := TNCOciBreakFrm.Create(nil);
    NCOciBreakFrm.FDatabase := ADatabase;
    NCOciBreakFrm.Show;
    Application.ProcessMessages;
end;

class procedure TNCOciBreakFrm.Cancel;
begin
    if NCOciBreakFrm <> nil then
        NCOciBreakFrm.Hide;
end;

procedure TNCOciBreakFrm.Button1Click(Sender: TObject);
begin
    FDatabase.Break;
end;

procedure TNCOciBreakFrm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
    if Key = VK_ESCAPE then begin
        Button1Click(nil);
        Key := 0;
    end;
end;

initialization
    NCOciBreakFrm := nil;

finalization
    NCOciBreakFrm.Free;
    NCOciBreakFrm := nil;
    
end.
